# The first instruction is what image we want to base our container on
# We Use an official Python runtime as a parent image
FROM python:3.11-slim-buster
RUN apt-get update && DEBIAN_FRONTEND=noninteractive  apt-get -y --no-install-recommends install netcat
#Update pip
RUN pip install --upgrade pip
# The enviroment variable ensures that the python output is set straight
# to the terminal with out buffering it first
ENV PYTHONUNBUFFERED 1
WORKDIR .
# Copy the current directory contents into the container at /music_service
ADD . /app/backend
# Install any needed packages specified in requirements.txt
RUN pip install -r /app/backend/requirements.txt
RUN pip install psycopg2-binary
WORKDIR /app/backend
#CMD ./wait-for-it.sh solr:8983 -- echo "google is up"

# run entrypoint.sh
ENTRYPOINT ["/app/backend/entrypoint.sh"]


#CMD python manage.py runserver 0.0.0.0:8000
